.formauto .layout {max-width:660px;margin:160px auto;}
.formauto .layout section {background:#fff;padding:35px;border-radius:10px;}
.formauto .layout section + section {margin-top:40px;}
.formauto .layout section .tit-area {padding-bottom:10px;border-bottom:2px solid #111;}
.formauto .layout section .tit-area h4 {margin:0;font-size:24px;}

.formauto input[type="text"],
.formauto input[type="password"],
.formauto input[type="email"],
.formauto input[type="tel"],
.formauto input[type="date"],
.formauto input[type="number"]{padding:0px 15px;background:#fff;font-size:18px;line-height:48px;border:1px solid #ccc;outline:none;border-radius:5px;width:100%;box-sizing:border-box;}
.formauto input[type="text"]:focus,
.formauto input[type="password"]:focus,
.formauto input[type="email"]:focus,
.formauto input[type="tel"]:focus,
.formauto input[type="date"]:focus,
.formauto input[type="number"]:focus {border:1px solid #0a6dd7;}

.formauto input.readonly {background:#f5f5f5;}
.formauto input.readonly:focus {border:1px solid #ccc;}

.formauto button.terms-button {display:inline-block;font-size:15px;font-weight:500;margin-left:10px;background:transparent;color:#0a6dd7;}
.formauto .btn-box {margin-top:40px;}
.formauto .btn-box button {display:block;text-align:center;font-size:18px;font-weight:500;color:#fff;background:#0a6dd7;border-radius:5px;width:100%;line-height:55px;}


/* 버튼이 있는 input */
.formauto form dl dd .btn-wrap {display:flex;gap:5px;}
.formauto form dl dd .btn-wrap input {width:calc(100% - 115px);}
.formauto form dl dd .btn-wrap button {width:110px;display:inline-block;box-sizing:border-box;font-size:16px;font-weight:500;line-height:48px;color:#0a6dd7;background:#fff;border:1px solid #0a6dd7;border-radius:5px;transition:all 0.3s;}
.formauto form dl dd .btn-wrap button:hover {color:#fff;background:#0a6dd7;}


/* 비밀번호 입력란 눈 아이콘 */
.formauto .pwd-wrap {position:relative;}
.formauto .pwd-wrap input[type="password"] {padding:0 45px 0 15px;}
.formauto .pwd-wrap button {display:block;width:20px;height:20px;position:absolute;top:50%;right:15px;transform:translateY(-50%);background:url(/_public/images2/formautoIcon/pwd_view.svg) no-repeat;background-size:cover;}
.formauto .pwd-wrap button.on {background:url(/_public/images2/formautoIcon/pwd_view_on.svg) no-repeat;background-size:cover;}


/* 폼 레이아웃 기본설정 */
.formauto form {word-break:keep-all;font-family:'Pretendard';}
.formauto form dl {margin:0;}
.formauto form dt label {font-size:18px;font-weight:600;}
.formauto form dd input {}
.formauto form dd p.info {font-size:15px;color:#1087f5;background:#f2f9ff;padding:10px 15px 10px 40px;border-radius:5px;margin:15px 0 0 0;position:relative;}
.formauto form dd p.info:before {content:"";display:inline-block;width:16px;height:16px;background:url(/_public/images2/formautoIcon/ico_info.svg) no-repeat;background-size:cover;position:absolute;top:12px;left:15px;}

/* 필수 입력 항목 표시 */
.formauto .req-box {margin-bottom:5px;}
.formauto .req-box p {text-align:right;font-size:16px;margin:0;}
.formauto em.req {font-size:inherit;font-weight:bold;font-style:normal;color:#ef0303;display:inline-block;margin-left:5px;vertical-align:middle;}

/* 하단 안내메세지 출력 */
.formauto .msg-box {margin-top:8px;}
.formauto .msg-box .msg {margin:0;position:relative;padding-left:20px;font-size:15px;}
.formauto .msg-box .msg:before {content:"";display:inline-block;width:15px;height:15px;position:absolute;top:2px;left:0;}
.formauto .msg-box .msg.msg-av {color:#19ab00;}
.formauto .msg-box .msg.msg-av:before {background:url(/_public/images2/formautoIcon/ico_success.svg) no-repeat;background-size:cover;}
.formauto .msg-box .msg.msg-non {color:#ef0303;}
.formauto .msg-box .msg.msg-non:before {background:url(/_public/images2/formautoIcon/ico_error.svg) no-repeat;background-size:cover;}

/* radio */
.formauto .radio-wrap {display:flex;gap:10px;}
.formauto .radio-type1 {flex:1;position:relative;}
.formauto .radio-type1 input[type="radio"] {position:absolute;opacity:0.5;}
.formauto .radio-type1 label {display:block;cursor:pointer;font-size:18px;line-height:48px;color:#707070;padding:0 15px 0 45px;background:#f5f5f5;border-radius:5px;position:relative;}
.formauto .radio-type1 label:before {content:"";display:block;width:20px;height:20px;border:5px solid #ccc;box-sizing:border-box;border-radius:100%;background:#fff;position:absolute;top:50%;left:15px;transform:translateY(-50%);}
.formauto .radio-type1 input[type="radio"]:checked {}
.formauto .radio-type1 input[type="radio"]:checked + label {color:#fff;font-weight:bold;background:#0a6dd7;}
.formauto .radio-type1 input[type="radio"]:checked + label:before {border:5px solid #fff;background:#0a6dd7;}


/* checkbox */
.formauto .chk-wrap {display:grid;grid-gap:10px;grid-template-columns:1fr 1fr 1fr 1fr;}
.formauto .chk-type1 {position:relative;}
.formauto .chk-type1 input[type="checkbox"] {position:absolute;opacity:0;}
.formauto .chk-type1 label {display:block;font-size:16px;line-height:36px;cursor:pointer;color:#707070;background:#f5f5f5;border:2px solid #f5f5f5;border-radius:5px;padding:0 5px 0 35px;box-sizing:border-box;position:relative;}
.formauto .chk-type1 label:before {content:"";display:block;width:15px;height:15px;border:1px solid #ccc;border-radius:2px;background:#fff;position:absolute;top:50%;left:10px;    transform:translateY(-50%);}
.formauto .chk-type1 label:after {content:"";display:none;position:absolute;top:40%;left:10px;width:4px;height:10px;border-right:3px solid #0a6dd7;border-bottom:3px solid #0a6dd7;transform: rotate(45deg) translateY(-50%);}
.formauto .chk-type1 input[type="checkbox"]:checked + label {font-weight:600;color:#0a6dd7;border:2px solid #0a6dd7;background:#fff;}
.formauto .chk-type1 input[type="checkbox"]:checked + label:before {display:none;}
.formauto .chk-type1 input[type="checkbox"]:checked + label:after {display:block;}


/* select box */
.formauto .slt-wrap {position:relative;}
.formauto .slt-wrap:before {content:"";display:block;width:15px;height:15px;background:url(/_public/images2/formautoIcon/ico_arrow_b.svg) no-repeat;background-size:cover;transform:translateY(-50%) rotate(180deg);position:absolute;top:50%;right:15px;}
.formauto .slt-wrap select {width:100%;height:50px;border:1px solid #ccc;border-radius:5px;padding:0px 15px;font-size:18px;appearance:none;outline:none;background:#fff;}
.formauto .slt-wrap select:focus {border:1px solid #0a6dd7;}
.formauto .slt-wrap + input {margin-top:5px;}


/* 달력/날짜선택 */
.formauto form dd .date {position:relative;}
.formauto form dd .date:before {content:"";display:block;width:15px;height:15px;background:url(/_public/images2/formautoIcon/ico_cal.svg) no-repeat;background-size:cover;position:absolute;top:50%;right:15px;transform:translateY(-50%);}
.formauto form dd .date input {background:#f5f5f5;}

/* 주소 */
.formauto .addr-wrap {display:flex;flex-direction:column;gap:5px;}
.formauto .addr-wrap .addr1 input[type="number"] {width:160px;}

/* 약관확인 */
.formauto .plc-wrap label {font-size:16px;margin-left:5px;}


/* label과 input을 나란히 놓을 경우 */
.formauto form.ver1 dl dt {margin-top:0;width:180px;position:relative;/*top:33px;float:left;*/}
.formauto form.ver1 dl dd {box-sizing:border-box;width:100%;margin:0;padding:25px 0;border-bottom:1px dotted #ccc}
.formauto form.ver1 dl dd .psw-wrap {}
.formauto dl{display:grid;grid-template-columns:180px 1fr;align-items:center;}
.formauto dt{grid-column:1;}
.formauto dd{grid-column:2;margin:0;}


/* 약관확인 레이어 팝업 */
.formauto .terms-layer {display:none;position:fixed;top:0;left:0;width:100%;height:100%;background:rgba(0,0,0,0.7);z-index:2000;line-height:normal;}
.formauto .terms-layer .layer-contents {position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);width:600px;background:#fff;padding:20px 50px 50px;border-radius:15px;box-sizing:border-box;}
.formauto .terms-layer .layer-contents .layer-top {position:relative;padding:20px 0;font-size:25px;font-weight:600;color:#333;border-bottom:2px solid #f8f8f8;}
.formauto .terms-layer .layer-contents .layer-top .terms-close {position:absolute;top:17px;right:0;width:30px;height:30px;background:transparent}
.formauto .terms-layer .layer-contents .layer-body {height:400px;overflow-y:auto;padding:20px 20px 0 0;}



/* 모바일 */
@media all and (max-width:768px) {
  .formauto .layout {max-width:none;margin:40px 0;width:100%;}
  .formauto .layout section {padding:20px;}

  /* form.ver1 dl dt {width:100%;float:none;clear:both;top:auto;margin-top: 20px;}
  form.ver1 dl dd {padding:10px 0 30px;} */
  .formauto form.ver1 dl{grid-template-columns:1fr;}
  .formauto form.ver1 dl dt{grid-column:1;margin-bottom:5px;}
  .formauto form.ver1 dl dd{grid-column:1;margin-bottom:15px;}

  /* 약관확인 레이어 팝업 */
  .formauto .terms-layer .layer-contents {width:calc(100% - 20px);height:520px;padding:20px;}
  .formauto .terms-layer .layer-contents .layer-top {padding:0 0 20px;font-size:20px;}
  .formauto .terms-layer .layer-contents .layer-top .terms-close {top:7px;width:20px;height:20px;}
  .formauto .terms-layer .layer-contents .layer-top .terms-close img {display:block;width:100%;}
}
